Constant
Contact
API Guide

Delete (Unschedule) a Resend to Non-openers Email Campaign Activity

To delete (un-schedule) a resend to non-openers email, make a DELETE call to /emails/activities/{campaign_activity_id}/non_opener_resends/{resend_request_id}.

Parameters

This method requires the resend_request_id and campaign_activity_id path parameters for the scheduled resend request that you want to delete. If the email campaign activity has a current status of DRAFT, specify DRAFT for the resend_request_id.

To get the resend_request_id, make a GET call to /emails/activities/{campaign_activity_id}/non_opener_resends.

Example DELETE (Unschedule) Resend to Non-opener Call

The following DELETE call unschedules a resend to non-openers for an email campaign activity.

DELETE
https://api.cc.email/v3/emails/activities/{campaign_activity_id}/non_opener_resends/{resend_request_id}
User privileges: campaign:sendAuthorization scopes: campaign_data

OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("https://api.cc.email/v3/emails/activities/56f075f7-823a-42fb-963d-3082febb70e6/non_opener_resends/DRAFT")
  .method("DELETE", body)
  .addHeader("Authorization: Bearer {access_token}")
  .build();
Response response = client.newCall(request).execute();

Response

A successful DELETE call returns a 204 response code.

Try it!

On this page